OTK(OAuth ToolKit) upgrade failed

book

Article ID: 196333

calendar_today

Updated On:

Products

CA API Gateway API SECURITY CA API Gateway Precision API Monitoring Module for API Gateway (Layer 7) CA API Gateway Enterprise Service Manager (Layer 7) STARTER PACK-7 CA Microgateway

Issue/Introduction

Solution Kit Upgrade fails if you upgrade OTK under the following conditions:
If  is using  "Policy Fragments" policy of OTK in "Include Policy Fragment" in other services or policies.

Many conflicts occur.

If is not using  "Policy Fragments" policy of OTK in "Include Policy Fragment" then this issue will not occur.

Environment

Release : OTK 4.x

Component : OAUTH TOOLKIT

Resolution

It is based on the design specifications.

Before upgrading OTK, it is necessary to delete the Policy Fragments of OTK used by another service (policy).
Or the service (Policy) is exported for backup and then delete it.

Attachments